import 'package:flutter/material.dart';

import 'src/mocks/repository-mock.dart';
import 'src/widgets/news_feed.dart';

void main() {
  runApp(const Og1StoryExample());
}

class Og1StoryExample extends StatefulWidget {
  const Og1StoryExample({Key? key}) : super(key: key);

  @override
  _Og1StoryExampleState createState() => _Og1StoryExampleState();
}

class _Og1StoryExampleState extends State<Og1StoryExample> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        theme: ThemeData.dark(),
        home: Scaffold(
            body: Og1NewsFeed(
          key: const PageStorageKey('Og1NewsFeed'),
          currentUser: Repository.currentUser,
          onlineUsers: Repository.onlineUsers,
          stories: Repository.stories,
          posts: Repository.posts,
        )));
  }
}
